Class Fox::FXLight

In: | FXGLViewer.rb
Parent: | Object

OpenGL Light Source

Methods

new

Attributes

ambient | [RW] | Ambient light color [FXHVec]
c_attn | [RW] | Constant attenuation factor [Float]
cutoff | [RW] | Spotlight cutoff angle [Float]
diffuse | [RW] | Diffuse light color [FXHVec]
direction | [RW] | Spot direction [FXVec]
exponent | [RW] | Spotlight exponent [Float]
l_attn | [RW] | Linear attenuation factor [Float]
position | [RW] | Light position [FXHVec]
q_attn | [RW] | Quadratic attenuation factor [Float]
specular | [RW] | Specular light color [FXHVec]

Public Class methods

new()

Returns an initialized FXLight instance